buildr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shane Witbeck <sh...@digitalsanctum.com>
Subject Re: installing jruby buildr gem from source
Date Wed, 14 Jul 2010 16:38:59 GMT
Cool. That seemed to work except it's buildr-1.4.2-java.gem.

Thanks!

On Wed, Jul 14, 2010 at 12:33 PM, Antoine Toulme <antoine@lunar-ocean.com>wrote:

> Use gem build:
> jruby -S gem build buildr.gemspec
>
> Then:
> jruby -S gem install buildr-1.4.2.gem
>
> rake install is probably trying to install the development dependencies,
> that's a bad idea. I'll work on changing that.
>
> On Wed, Jul 14, 2010 at 09:28, Shane Witbeck <shane@digitalsanctum.com
> >wrote:
>
> > How is this done? I tried 'jruby -S rake install' but getting errors
> > related
> > to installing jekyll:
> >
> > Installing jekyll ...
> > /Users/shane/jruby/bin/jruby -S gem install jekyll --version ~> 0.6.2
> > --source http://gems.rubyforge.org
> > Building native extensions.  This could take a while...
> > ERROR:  Error installing jekyll:
> > ERROR: Failed to build gem native extension.
> >
> > /Users/shane/lib/jruby-1.5.1/bin/jruby extconf.rb
> > WARNING: JRuby does not support native extensions or the `mkmf' library.
> >         Check http://kenai.com/projects/jruby/pages/Home for
> alternatives.
> > extconf.rb:2: undefined method `create_makefile' for main:Object
> > (NoMethodError)
> >
> >
> > Gem files will remain installed in
> > /Users/shane/lib/jruby-1.5.1/lib/ruby/gems/1.8/gems/fast-stemmer-1.0.0
> for
> > inspection.
> > Results logged to
> >
> >
> /Users/shane/lib/jruby-1.5.1/lib/ruby/gems/1.8/gems/fast-stemmer-1.0.0/ext/gem_make.out
> > rake aborted!
> > Command failed with status (1): [/Users/shane/jruby/bin/jruby -S gem
> > instal...]
> >
> >
> > Thanks,
> >
> > --
> > -Shane
> >
>



-- 
-Shane

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message